<?php   if(!defined('DEDEINC')) exit("Request Error!");
/**
 * 模型基類
 *
 * @version        $Id: model.class.php 1 13:46 2010-12-1 tianya $
 * @package        DedeCMS.Libraries
 * @copyright      Copyright (c) 2007 - 2010, DesDev, Inc.
 * @license        http://help.dedecms.com/usersguide/license.html
 * @link           http://www.dedecms.com
 */

class Model
{
    var $dsql;
    var $db;
    
    // 析構函數
    function Model()
    {
        global $dsql;
        if ($GLOBALS['cfg_mysql_type'] == 'mysqli')
        {
            $this->dsql = $this->db = isset($dsql)? $dsql : new DedeSqli(FALSE);
        } else {
            $this->dsql = $this->db = isset($dsql)? $dsql : new DedeSql(FALSE);
        }
            
    }
    
    // 釋放資源
    function __destruct() 
    {
        $this->dsql->Close(TRUE);
    }
}